aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md13
-rwxr-xr-xbuild-spike-only.sh8
-rwxr-xr-xbuild-spike-pk.sh20
3 files changed, 23 insertions, 18 deletions
diff --git a/README.md b/README.md
index 8fc8f23..462a3e1 100644
--- a/README.md
+++ b/README.md
@@ -427,23 +427,16 @@ modified build script, listed in its entirety below. Remember that we'll build
toolchain for later use, see <a href="#full-toolchain-build-linux">here</a>.
- [basic-build.sh contents]
+ [build-spike-only.sh contents]
1 #!/bin/bash
2 . build.common
3 build_project riscv-fesvr --prefix=$RISCV
4 build_project riscv-isa-sim --prefix=$RISCV --with-fesvr=$RISCV
-Download this script using this command:
+Run the build script.
- $ curl -L http://riscv.org/install-guides/linux-build.sh > basic-build.sh
-
-(The `-L` option allows curl to handle redirects.)
-Make the script executable, and with everything else taken care of, run the
-build script.
-
- $ chmod +x basic-build.sh
- $ ./basic-build.sh
+ $ ./build-spike-only.sh
### <a name="full-toolchain-build-back"></a> Building `riscv64-unknown-linux-gnu-gcc` (11.41 SBU)
diff --git a/build-spike-only.sh b/build-spike-only.sh
index 00af1d5..ac3fda5 100755
--- a/build-spike-only.sh
+++ b/build-spike-only.sh
@@ -1,20 +1,12 @@
#! /bin/bash
#
# Script to build RISC-V ISA simulator, proxy kernel, and GNU toolchain.
-# Tools will be installed to $RISCV.
. build.common
-if [ ! `which riscv64-unknown-elf-gcc` ]
-then
- echo "riscv64-unknown-elf-gcc doesn't appear to be installed; use the full-on build.sh"
- exit 1
-fi
-
echo "Starting RISC-V Toolchain build process"
build_project riscv-fesvr --prefix=$RISCV
build_project riscv-isa-sim --prefix=$RISCV --with-fesvr=$RISCV
-CC=riscv64-unknown-elf-gcc build_project riscv-pk --prefix=$RISCV/riscv64-unknown-elf --host=riscv
echo -e "\\nRISC-V Toolchain installation completed!"
diff --git a/build-spike-pk.sh b/build-spike-pk.sh
new file mode 100755
index 0000000..00af1d5
--- /dev/null
+++ b/build-spike-pk.sh
@@ -0,0 +1,20 @@
+#! /bin/bash
+#
+# Script to build RISC-V ISA simulator, proxy kernel, and GNU toolchain.
+# Tools will be installed to $RISCV.
+
+. build.common
+
+if [ ! `which riscv64-unknown-elf-gcc` ]
+then
+ echo "riscv64-unknown-elf-gcc doesn't appear to be installed; use the full-on build.sh"
+ exit 1
+fi
+
+echo "Starting RISC-V Toolchain build process"
+
+build_project riscv-fesvr --prefix=$RISCV
+build_project riscv-isa-sim --prefix=$RISCV --with-fesvr=$RISCV
+CC=riscv64-unknown-elf-gcc build_project riscv-pk --prefix=$RISCV/riscv64-unknown-elf --host=riscv
+
+echo -e "\\nRISC-V Toolchain installation completed!"